Get feature groups

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /admin/company/{companyId}/permission-group

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string(uuid) Required

Query parameters

  • roleType string Required

    Values are Company, Project, or Site.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • groupName string
    • permissions array[string]
GET /admin/company/{companyId}/permission-group
curl \
 --request GET 'https://live.smartpmtech.com/admin/company/{companyId}/permission-group?roleType=Company' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "groupName": "string",
    "permissions": [
      "string"
    ]
  }
]